Name:          libspectre
Version:       0.2.12
Release:       1mamba
Summary:       A library for rendering PostScript(TM) documents
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.freedesktop.org/wiki/Software/libspectre/
Source:        http://libspectre.freedesktop.org/releases/libspectre-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgs-devel
## AUTOBUILDREQ-END

%description
%{name} is a small library for rendering PostScript(TM) documents. 
It provides a convenient easy to use API for handling and rendering PostScript documents.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for developing applications that use %{name}.

%package static
Group:         Development/Libraries
Summary:       Static libraries for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description static
The %{name}-static package contains libraries for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%configure
%make %{?_smp_mflags}

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall DESTDIR=%{buildroot}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libspectre.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libspectre
%{_includedir}/libspectre/*.h
%{_libdir}/libspectre.so
%{_libdir}/pkgconfig/*.pc
%doc ChangeLog NEWS README TODO

%files static
%defattr(-,root,root)
%{_libdir}/*.a

%changelog
* Mon Jan 09 2023 Automatic Build System <autodist@mambasoft.it> 0.2.12-1mamba
- automatic version update by autodist

* Sat Nov 05 2022 Automatic Build System <autodist@mambasoft.it> 0.2.11-1mamba
- automatic version update by autodist

* Sun Feb 13 2022 Automatic Build System <autodist@mambasoft.it> 0.2.10-1mamba
- automatic version update by autodist

* Fri May 08 2020 Automatic Build System <autodist@mambasoft.it> 0.2.9-1mamba
- automatic version update by autodist

* Thu Jul 14 2016 Automatic Build System <autodist@mambasoft.it> 0.2.8-1mamba
- automatic version update by autodist

* Fri Aug 10 2012 Automatic Build System <autodist@mambasoft.it> 0.2.7-1mamba
- automatic version update by autodist

* Sat Feb 19 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.6-2mamba
- rebuilt with ghostscript 9.01

* Mon Jun 21 2010 Automatic Build System <autodist@mambasoft.it> 0.2.6-1mamba
- automatic update by autodist

* Tue Feb 23 2010 Automatic Build System <autodist@mambasoft.it> 0.2.4-1mamba
- automatic update by autodist

* Wed Oct 21 2009 Automatic Build System <autodist@mambasoft.it> 0.2.3-1mamba
- automatic update by autodist

* Sat Feb 28 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.2-1mamba
- automatic update by autodist

* Wed Sep 03 2008 gil <puntogil@libero.it> 0.2.1-1mamba
- update to 0.2.1

* Sat Jul 26 2008 gil <puntogil@libero.it> 0.2.0-1mamba
- package created by autospec
